> For the complete documentation index, see [llms.txt](https://docs.wisej.com/hybrid/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/hybrid/start/api/sensors/wisej.hybrid.shared.sensors.sensorchangedeventargs.md).

# SensorChangedEventArgs

Namespace: **Wisej.Hybrid.Shared.Sensors**

Assembly: **Wisej.Hybrid** (3.5.0.0)

Event arguments containing the current reading.

{% tabs %}
{% tab title="C#" %}

```csharp
public class SensorChangedEventArgs : EventArgs
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class SensorChangedEventArgs
    Inherits EventArgs
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/CCV9PPenlC1YZvNh1I6R)SensorChangedEventArgs(type, reading)

Initializes a new instance of [SensorChangedEventArgs](/hybrid/start/api/sensors/wisej.hybrid.shared.sensors.sensorchangedeventargs.md) with the given \_args.

| Name        | Type                                                                              | Description              |
| ----------- | --------------------------------------------------------------------------------- | ------------------------ |
| **type**    | [SensorType](/hybrid/start/api/sensors/wisej.hybrid.shared.sensors.sensortype.md) | The type of sensor.      |
| **reading** | [Object](https://docs.microsoft.com/dotnet/api/system.object)                     | The sensor data reading. |

## Properties

### ![](/files/CCV9PPenlC1YZvNh1I6R)Data

[Object](https://docs.microsoft.com/dotnet/api/system.object): The current values of the sensor.

### ![](/files/CCV9PPenlC1YZvNh1I6R)Sensor

[SensorType](/hybrid/start/api/sensors/wisej.hybrid.shared.sensors.sensortype.md): The type of sensor that changed.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/hybrid/start/api/sensors/wisej.hybrid.shared.sensors.sensorchangedeventargs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
